Skip to content
StraventaDocs

List sync exceptions

Returns all offline-sync operations that failed to replay and require manual resolution. Exceptions are created when the server-side replay of a `POST /sync` operation fails. Requires `pos.sync.read` or equivalent.

GET
/api/pos/v1/exceptions

Returns all offline-sync operations that failed to replay and require manual resolution. Exceptions are created when the server-side replay of a POST /sync operation fails. Requires pos.sync.read or equivalent.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Response Body

application/json

curl -X GET "https://example.com/api/pos/v1/exceptions"
{
  "exceptions": [
    {
      "id": "018f4d9f-7b8a-7c2d-9a2d-1f8b92f6d701",
      "client_operation_id": "pos-sale-offline-001",
      "operation_type": "sale",
      "error_message": "duplicate idempotency key",
      "created_at": "2026-06-03T09:00:00Z"
    }
  ],
  "total": 1
}
Empty
Empty

Was this page helpful?